classdef Informationsignal < Signal
    %OPTICALSIGNAL Summary of this class goes here
    %   Detailed explanation goes here

    properties
        fs
    end

    methods
        function obj = Informationsignal(signal,options)
            %OPTICALSIGNAL Construct an instance of this class
            %   Detailed explanation goes here
            arguments
                signal
                options.fs
                options.logbook
            end

            obj = obj@Signal(signal);

            fn = fieldnames(options);

            for l = 1:numel(fn)
                obj.(fn{l}) = options.(fn{l}); 
            end
            
        end

        function pow = power(obj)

            pow = mean(abs(obj.signal.^2),"all") ;

        end


    end
end

